com.io7m.smfj.format.binary.v1

## Class SMFBv1MetadataIDByteBuffered

- java.lang.Object
- - com.io7m.smfj.format.binary.v1.SMFBv1MetadataIDByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, SMFBv1MetadataIDReadableType, SMFBv1MetadataIDType, SMFBv1MetadataIDWritableType

      public final class SMFBv1MetadataIDByteBuffered
      extends Object
      implements SMFBv1MetadataIDType

  A `ByteBuffer` based implementation of the `SMFBv1MetadataID` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jpra.runtime.java.JPRAStringCursorReadableType` | `getMetaSchemaIdReadable()`
    `com.io7m.jpra.runtime.java.JPRAStringCursorType` | `getMetaSchemaIdWritable()`
    `int` | `getMetaSchemaVersionMajor()`
    `int` | `getMetaSchemaVersionMinor()`
    `int` | `getMetaSize()`
    `int` | `metaMetaSchemaIdOffsetFromCursor()`
    `int` | `metaMetaSchemaIdOffsetFromType()`
    `static int` | `metaMetaSchemaIdStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString` | `metaMetaSchemaIdType()`
    `int` | `metaMetaSchemaVersionMajorOffsetFromCursor()`
    `int` | `metaMetaSchemaVersionMajorOffsetFromType()`
    `static int` | `metaMetaSchemaVersionMajorStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMetaSchemaVersionMajorType()`
    `int` | `metaMetaSchemaVersionMinorOffsetFromCursor()`
    `int` | `metaMetaSchemaVersionMinorOffsetFromType()`
    `static int` | `metaMetaSchemaVersionMinorStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMetaSchemaVersionMinorType()`
    `int` | `metaMetaSizeOffsetFromCursor()`
    `int` | `metaMetaSizeOffsetFromType()`
    `static int` | `metaMetaSizeStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMetaSizeType()`
    `static SMFBv1MetadataIDType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static SMFBv1MetadataIDType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setMetaSchemaVersionMajor(int x)` Set the value of the `meta_schema_version_major` field
    `void` | `setMetaSchemaVersionMinor(int x)` Set the value of the `meta_schema_version_minor` field
    `void` | `setMetaSize(int x)` Set the value of the `meta_size` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static SMFBv1MetadataIDType newValueWithOffset(ByteBuffer in_buffer,
                                                                com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                                int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static SMFBv1MetadataIDType newValue(ByteBuffer in_buffer,
                                                      com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaMetaSchemaIdOffsetFromType

          public int metaMetaSchemaIdOffsetFromType()

      Specified by:
        `metaMetaSchemaIdOffsetFromType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_schema_id` field, from the start of the type

    - #### metaMetaSchemaIdStaticOffsetFromType

          public static int metaMetaSchemaIdStaticOffsetFromType()

      Returns:
        The offset in octets of field `meta_schema_id` from the start of the type

    - #### metaMetaSchemaIdOffsetFromCursor

          public int metaMetaSchemaIdOffsetFromCursor()

      Specified by:
        `metaMetaSchemaIdOffsetFromCursor` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_schema_id` field, from the cursor

    - #### metaMetaSchemaIdType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString metaMetaSchemaIdType()

      Specified by:
        `metaMetaSchemaIdType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The type of the `meta_schema_id` field

    - #### getMetaSchemaIdReadable

          public com.io7m.jpra.runtime.java.JPRAStringCursorReadableType getMetaSchemaIdReadable()

      Specified by:
        `getMetaSchemaIdReadable` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        Read-only access to the `meta_schema_id` field

    - #### getMetaSchemaIdWritable

          public com.io7m.jpra.runtime.java.JPRAStringCursorType getMetaSchemaIdWritable()

      Specified by:
        `getMetaSchemaIdWritable` in interface `SMFBv1MetadataIDWritableType`
      Returns:
        Writable access to the `meta_schema_id` field

    - #### metaMetaSchemaVersionMajorOffsetFromType

          public int metaMetaSchemaVersionMajorOffsetFromType()

      Specified by:
        `metaMetaSchemaVersionMajorOffsetFromType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_schema_version_major` field, from the start of the type

    - #### metaMetaSchemaVersionMajorStaticOffsetFromType

          public static int metaMetaSchemaVersionMajorStaticOffsetFromType()

      Returns:
        The offset in octets of field `meta_schema_version_major` from the start of the type

    - #### metaMetaSchemaVersionMajorOffsetFromCursor

          public int metaMetaSchemaVersionMajorOffsetFromCursor()

      Specified by:
        `metaMetaSchemaVersionMajorOffsetFromCursor` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_schema_version_major` field, from the cursor

    - #### metaMetaSchemaVersionMajorType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMetaSchemaVersionMajorType()

      Specified by:
        `metaMetaSchemaVersionMajorType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The type of the `meta_schema_version_major` field

    - #### getMetaSchemaVersionMajor

          public int getMetaSchemaVersionMajor()

      Specified by:
        `getMetaSchemaVersionMajor` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The value of the `meta_schema_version_major` field

    - #### setMetaSchemaVersionMajor

          public void setMetaSchemaVersionMajor(int x)

      Description copied from interface: `SMFBv1MetadataIDWritableType`
      Set the value of the `meta_schema_version_major` field
      Specified by:
        `setMetaSchemaVersionMajor` in interface `SMFBv1MetadataIDWritableType`
      Parameters:
        `x` - The new value

    - #### metaMetaSchemaVersionMinorOffsetFromType

          public int metaMetaSchemaVersionMinorOffsetFromType()

      Specified by:
        `metaMetaSchemaVersionMinorOffsetFromType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_schema_version_minor` field, from the start of the type

    - #### metaMetaSchemaVersionMinorStaticOffsetFromType

          public static int metaMetaSchemaVersionMinorStaticOffsetFromType()

      Returns:
        The offset in octets of field `meta_schema_version_minor` from the start of the type

    - #### metaMetaSchemaVersionMinorOffsetFromCursor

          public int metaMetaSchemaVersionMinorOffsetFromCursor()

      Specified by:
        `metaMetaSchemaVersionMinorOffsetFromCursor` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_schema_version_minor` field, from the cursor

    - #### metaMetaSchemaVersionMinorType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMetaSchemaVersionMinorType()

      Specified by:
        `metaMetaSchemaVersionMinorType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The type of the `meta_schema_version_minor` field

    - #### getMetaSchemaVersionMinor

          public int getMetaSchemaVersionMinor()

      Specified by:
        `getMetaSchemaVersionMinor` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The value of the `meta_schema_version_minor` field

    - #### setMetaSchemaVersionMinor

          public void setMetaSchemaVersionMinor(int x)

      Description copied from interface: `SMFBv1MetadataIDWritableType`
      Set the value of the `meta_schema_version_minor` field
      Specified by:
        `setMetaSchemaVersionMinor` in interface `SMFBv1MetadataIDWritableType`
      Parameters:
        `x` - The new value

    - #### metaMetaSizeOffsetFromType

          public int metaMetaSizeOffsetFromType()

      Specified by:
        `metaMetaSizeOffsetFromType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_size` field, from the start of the type

    - #### metaMetaSizeStaticOffsetFromType

          public static int metaMetaSizeStaticOffsetFromType()

      Returns:
        The offset in octets of field `meta_size` from the start of the type

    - #### metaMetaSizeOffsetFromCursor

          public int metaMetaSizeOffsetFromCursor()

      Specified by:
        `metaMetaSizeOffsetFromCursor` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The offset in octets of the `meta_size` field, from the cursor

    - #### metaMetaSizeType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMetaSizeType()

      Specified by:
        `metaMetaSizeType` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The type of the `meta_size` field

    - #### getMetaSize

          public int getMetaSize()

      Specified by:
        `getMetaSize` in interface `SMFBv1MetadataIDReadableType`
      Returns:
        The value of the `meta_size` field

    - #### setMetaSize

          public void setMetaSize(int x)

      Description copied from interface: `SMFBv1MetadataIDWritableType`
      Set the value of the `meta_size` field
      Specified by:
        `setMetaSize` in interface `SMFBv1MetadataIDWritableType`
      Parameters:
        `x` - The new value

Copyright © 2017 <code@io7m.com> http://io7m.com